Bug 204589 - mozilla-config points to the wrong places
mozilla-config points to the wrong places
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: seamonkey (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 05:10 EDT by Göran Uddeborg
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0077
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 21:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.17 KB, patch)
2006-11-27 11:07 EST, Martin Stransky
no flags Details | Diff
an updated patch (333 bytes, patch)
2007-02-01 10:44 EST, Martin Stransky
no flags Details | Diff
a reworked patch (1.78 KB, patch)
2007-02-08 12:57 EST, Martin Stransky
no flags Details | Diff
hopefully the final patch (2.52 KB, patch)
2007-02-12 09:41 EST, Martin Stransky
no flags Details | Diff

  None (edit)
Description Göran Uddeborg 2006-08-30 05:10:24 EDT
Description of problem:
Mozilla-config says header files are under /usr/include/seamonkey-1.0.3 and
library files under /usr/lib/seamonkey-1.0.3.  In reality however, the packages
place them under /usr/include/mozilla-seamonkey-1.0.3 and
/usr/lib/mozilla-seamonkey-1.0.3 respectively.

Version-Release number of selected component (if applicable):
seamonkey-1.0.3-0.el4.1
(Also applies to RHEL3 and seamonkey-1.0.3-0.el3.1.)

How reproducible:
Always

Steps to Reproduce:
1.mozilla-config --cflags

Actual results:
-I/usr/include/seamonkey-1.0.3 -I/usr/include/seamonkey-1.0.3/nspr

Expected results:
-I/usr/include/mozilla-seamonkey-1.0.3 -I/usr/include/mozilla-seamonkey-1.0.3/nspr
Comment 1 Christopher Aillon 2006-09-01 00:22:35 EDT
As a workaround, use pkg-config --cflags mozilla-xpcom
Comment 3 RHEL Product and Program Management 2006-09-01 00:30:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Göran Uddeborg 2006-09-06 03:17:36 EDT
The pkg-config workaround is better than hard-coding paths as we did first.  Thanks!
Comment 6 Martin Stransky 2006-11-27 11:07:54 EST
Created attachment 142177 [details]
proposed patch
Comment 7 Christopher Aillon 2007-01-29 12:19:08 EST
This is the wrong patch.  We need to keep things in /usr/lib/mozilla-* for
applications.  The right fix is to simply fix the mozilla-config script.
Comment 8 Martin Stransky 2007-02-01 10:44:51 EST
Created attachment 147107 [details]
an updated patch
Comment 9 Martin Stransky 2007-02-08 12:57:07 EST
Created attachment 147677 [details]
a reworked patch

and we can remove this part from seamonkey.spec:

cd ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
  for i in *.pc; do
    sed -i -e 's|%{_libdir}/seamonkey|%{_libdir}/mozilla-seamonkey|' \
	   -e 's|%{_includedir}/seamonkey|%{_includedir}/mozilla-seamonkey|'
"${i}"
    newfile="$(echo ${i} | sed s/^seamonkey-/mozilla-/)"
    cp "${i}" "$newfile"
    sed -i -e 's|Version: %{version}|Version: 1.8|' "$newfile"
  done
cd -

I've just noticed we need to add "Version: 1.8" to all *.pc. So if this is the
right patch I'll add it there.
Comment 10 Martin Stransky 2007-02-12 09:41:13 EST
Created attachment 147894 [details]
hopefully the final patch
Comment 14 Red Hat Bugzilla 2007-02-23 21:59:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0077.html

Note You need to log in before you can comment on or make changes to this bug.